﻿using System;
using System.Collections.Generic;

namespace Wetterstation
{
    public class Sensor
    {
        public String host { get; set; }
        public String name { get; set; }
        public bool temperature { get; set; }
        public bool humidity { get; set; }
        public bool pressure { get; set; }
        public bool co2 { get; set; }
        public bool windSpeed { get; set; }
        public bool windDegre { get; set; }
        public bool rain { get; set; }
        public bool snow { get; set; }
        public double tempMin { get; set; }
        public double tempMax { get; set; }
        public List<double> _temperatures = new List<double>();
        public List<double> _pressures = new List<double>();
        public List<double> _humiditys = new List<double>();
        public double Temperatures
        {
            set
            {
                if (_temperatures.Count == 10)
                {
                    _temperatures.RemoveAt(0);
                }
                _temperatures.Add(value);
            }
        }
        public double Pressures
        {
            set
            {
                if (_pressures.Count == 10)
                {
                    _pressures.RemoveAt(0);
                }
                _pressures.Add(value);
            }
        }
        public double Humiditys
        {
            set
            {
                if (_humiditys.Count == 10)
                {
                    _humiditys.RemoveAt(0);
                }
                _humiditys.Add(value);
            }
        }
        public float tempTendenz()
        {
            int up = 0;
            int down = 0;
            double oldTemp = 0;

            foreach (double temp in _temperatures)
            {
                if (temp > oldTemp)
                {
                    up++;
                    oldTemp = temp;
                }
                else
                {
                    down++;
                    oldTemp = temp;
                }
            }

            if (up > down) return 180;
            else return 0;
        }
        public float pressureTendenz()
        {
            int up = 0;
            int down = 0;
            double oldPressure = 0;

            foreach (double pressure in _pressures)
            {
                if (pressure > oldPressure)
                {
                    up++;
                    oldPressure = pressure;
                }
                else
                {
                    down++;
                    oldPressure = pressure;
                }
            }

            if (up > down) return 180;
            else return 0;
        }
        public float humidityTendenz()
        {
            int up = 0;
            int down = 0;
            double oldHumidity = 0;

            foreach (double humidity in _humiditys)
            {
                if (humidity > oldHumidity)
                {
                    up++;
                    oldHumidity = humidity;
                }
                else
                {
                    down++;
                    oldHumidity = humidity;
                }
            }

            if (up > down) return 180;
            else return 0;
        }
    }
}
